<?php

namespace Drupal\pubg_api;

use Drupal\Core\Config\ConfigFactory;
use Drupal\Core\Messenger\MessengerInterface;
use GuzzleHttp\Client;

/**
 * Pubg Api Matches methods.
 */
class PubgApiMatches extends PubgApiBase implements PubgApiMatchesInterface {

  /**
   * API endpoint base.
   *
   * @var string
   */
  protected $apiEndpointBase;

  /**
   * PubgApiMatches constructor.
   *
   * @param \GuzzleHttp\Client $http_client
   *   A guzzle http client.
   * @param \Drupal\Core\Config\ConfigFactory $config_factory
   *   The config factory.
   * @param \Drupal\Core\Messenger\MessengerInterface $messenger
   *   The Messenger service.
   */
  public function __construct(Client $http_client, ConfigFactory $config_factory, MessengerInterface $messenger) {
    parent::__construct($http_client, $config_factory, $messenger);
    $this->apiEndpointBase = "matches";
  }

  /**
   * {@inheritdoc}
   */
  public function getSingleMatch(string $shard, string $match_id) {
    $api_endpoint = "{$this->apiEndpointBase}/{$match_id}";
    $endpoint_options = [];

    $response = $this->getResponse($shard, $api_endpoint, $endpoint_options);

    return $response ?? [];
  }

}
